Bug 910153 - qemu-1.3.0/cpu-exec.c:671:1: internal compiler error: in push_reload, at reload.c:1014
qemu-1.3.0/cpu-exec.c:671:1: internal compiler error: in push_reload, at relo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-02-11 17:04 EST by Peter Robinson
Modified: 2013-02-15 04:06 EST (History)
3 users (show)

See Also:
Fixed In Version: gcc-4.8.0-0.12.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 04:06:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed cpu-exec.c (542.81 KB, text/plain)
2013-02-11 21:10 EST, Brendan Conoboy
no flags Details

  None (edit)
Description Peter Robinson 2013-02-11 17:04:25 EST
Seeing the following error on gcc 4.8 on ARMv8.

qemu-1.3.0/cpu-exec.c:671:1: internal compiler error: in push_reload, at reload.c:1014

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1434338

Package is qemu-1.3.0-9.fc19

gcc is gcc-4.8.0-0.9.fc19

Let me know if you need anything further.
Comment 1 Peter Robinson 2013-02-11 17:13:42 EST
seeing the same issue with ntfs-3g-2013.1.13-3.fc19

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1434867

Pushing a gcc-4.8.0-0.11.fc19 in case it's fixed in a later build
Comment 2 Brendan Conoboy 2013-02-11 18:21:29 EST
Is this the same as http://gcc.gnu.org/bugzilla/show_bug.cgi?id=56184 ?
Comment 3 Brendan Conoboy 2013-02-11 19:05:31 EST
Note that Peter said "ARMv8" but clearly meant "armv7"
Comment 4 Brendan Conoboy 2013-02-11 21:10:23 EST
Created attachment 696338 [details]
Preprocessed cpu-exec.c
Comment 5 Peter Robinson 2013-02-13 14:01:03 EST
Can we get the upstream bug fix pulled from the aforementioned bug? We need it for ARM mass rebuild
Comment 6 Peter Robinson 2013-02-15 04:06:04 EST
Confirmed fixed in gcc-4.8.0-0.12.fc19

Note You need to log in before you can comment on or make changes to this bug.